> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Server Graphs

> Get server resource usage graphs (CPU, memory, network) for the specified timeframe.



## OpenAPI

````yaml get /servers/{server}/graphs/{timeframe}
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /servers/{server}/graphs/{timeframe}:
    get:
      summary: Get server graphs
      description: >-
        Get server resource usage graphs (CPU, memory, network) for the
        specified timeframe.
      operationId: getServerGraphs
      parameters:
        - $ref: '#/components/parameters/server'
        - $ref: '#/components/parameters/timeframe'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: GetServerGraphsOk
                properties:
                  status:
                    type: boolean
                  metrics:
                    type: array
                    items:
                      type: string
                    examples:
                      - - cpu
                        - mem
                        - netin
                        - netout
                  timeframe:
                    type: string
                  data:
                    type: array
          description: Server graph data retrieved successfully.
        '400':
          description: Invalid timeframe.
        '403':
          description: Unauthorized access.
      security:
        - Authorization: []
components:
  parameters:
    server:
      in: path
      name: server
      schema:
        type: string
      required: true
    timeframe:
      in: path
      name: timeframe
      schema:
        enum:
          - hour
          - day
          - week
          - month
        type: string
        examples:
          - hour
      required: true
      description: Time range for graph data
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````